Skip to content

Proposals (RFCs)

Document Status
RFC-0001: Site Graph contracts v1 Accepted
RFC-0002: Taxonomy (categories, tags) and redirects Accepted
RFC-0003: Navigation (menus) Accepted
RFC-0004: Assets and the media library Accepted
RFC-0005: Staff roles and invites Accepted
RFC-0006: Site analytics Accepted
RFC-0007: Reader comments Accepted
RFC-0008: Schedules — releases, embargoes, scheduled publishing and automations Accepted
RFC-0010: Snapshot bundles — one read to load a published site Accepted
RFC-0011: Email delivery with Cloudflare Email Service Accepted
RFC-0012: Sanitize HTML bodies before they reach a page Accepted
RFC-0013: cloudhal.json settings for observability and placement Accepted
RFC-0014: Body blocks and body operations Accepted
RFC-0015: Block registry — typed blocks for page sections and bodies Accepted
RFC-0016: In-editor AI commands and model choice Accepted
RFC-0017: Theme and UI generator — design settings, generated pages and Kumo catalog panels Accepted
RFC-0018: Theme packages and the theme kit — many themes, one engine, generator-ready Draft
RFC-0019: Newsroom features — bylines, corrections and search Draft
RFC-0020: Agentic build — generative UI surfaces, streamed build sessions and interactive components Draft
RFC-0021: DESIGN.md and the agent design loop Accepted
RFC-0022: Surface tools — computed values, inputs, charts and tables Accepted
RFC-0023: Design tokens v2 and surface styles Accepted
RFC-0024: Motion, scroll and ambient effects Accepted
RFC-0025: Site chrome and overlays Accepted
RFC-0026: Icons Accepted
RFC-0027: Carousel Accepted
RFC-0028: Image placeholders and fit Accepted
RFC-0029: Search providers and the search UI Draft
RFC-0032: ICU plurals and select in Studio messages, compiled at build time Implemented
RFC-0033: Multilingual publishing, language editions and publications Accepted
RFC-0034: Multi-site installations: one Studio, many isolated sites Accepted
RFC-0035: Publishing one page without a release Draft
RFC-0036: Public playground: a disposable Cloudhal per visitor on a SQLite Durable Object Accepted
RFC-0037: cloudhal.dev, the developer site: docs from the repo, a link contract, docs for agents Accepted